<?php 
/**
 * It is shown when a single post is opened. Other than the post content, this page also has a Previous/Recent Post section, Author info and Comments.
 *
 * @package Takeoff
 * @since Takeoff 1.0
 */
get_header(); ?>
	
	<div class="row"> <!-- Start of primary row div class -->

		<div class="col-md-9"> <!-- Start of content col-md-9 div class -->

				<div class="panel panel-default panel-body"> <!-- Start of Post Content Panel -->

						<?php while(have_posts()) : the_post(); ?>
								<?php if( $breadcrumbs_checkbox ) : ?>
									<?php if(function_exists('takeoff_breadcrumbs')) takeoff_breadcrumbs(); ?>
								<?php endif; ?>
								<div class="page-header">
										<h1><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h1>
								</div>
								<div class="entry-meta">
										<span class="glyphicon glyphicon-user"></span><?php the_author_posts_link(); ?>
										<span class="glyphicon glyphicon-calendar"></span><a href="<?php echo get_day_link( func_archive_year(), func_archive_month(), func_archive_day() ); ?>"><?php the_time('F jS, Y') ?></a>
										<?php edit_post_link( 'Edit Post', '<span class="glyphicon glyphicon-pencil"></span>' ); ?>
										<a href="#comments"><button type="button" class="btn btn-cmt btn-sm"><span class="glyphicon glyphicon-comment"></span><?php comments_number( '0 Comments', '1 Comment', '% Comments' ); ?></button></a>
								</div>
								<p><?php the_content(); ?></p>
								<?php
									wp_link_pages( array(
										'before' => '<div class="page-links"><span class="glyphicon glyphicon-file"></span>' . __( 'Pages:', 'takeoff' ),
										'after'  => '</div>',
									) );
								?>
								<hr>
						<?php endwhile; wp_reset_query(); ?>
								<?php if( $categories_checkbox ) : ?> <!-- Categories enable option under Theme Options -->
										<?php if( has_category() ) : ?>
												<div class="categories">
														<span class="glyphicon glyphicon-folder-open"></span><?php _e('Categories: ','takeoff'); ?><?php the_category(' '); ?>
												</div>
										<?php endif; ?>
								<?php endif; ?>
								<?php if( $tags_checkbox ) : ?> <!-- Tags enable option under Theme Options -->
										<?php if( has_tag() ) : ?>
												<div class="tagged">
														<span class="glyphicon glyphicon-tags"></span><?php _e('Tags: ','takeoff'); ?><?php the_tags('', '' ,'' ); ?>
												</div>
										<?php endif; ?>
								<?php endif; ?>

						<?php if( $author_info_checkbox ) : ?> <!-- Author info option under Theme Options -->
								<div class="panel panel-default"> <!-- Start of panel panel-default div class of author info -->
										<div class="panel-heading">
												<h3 class="panel-title"><?php _e('About the Author','takeoff'); ?></h3>
										</div>
										<div class="panel-body">
												<div class="row">
														<div class="col-md-2">
																<?php echo get_avatar( get_the_author_meta( 'user_email' ), 100 ); ?>
														</div>
														<div class="col-md-10">
																<p><?php the_author_meta( 'description' ); ?></p>
																<a class="author-link" href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>" rel="author"><div class="btn btn-primary"><?php _e('View all posts by ', 'takeoff'); ?><?php the_author(); ?></div></a>
														</div>
												</div>
										</div>
								</div> <!-- End of panel panel-default div class of author info -->
						<?php endif; ?>
				</div> <!-- End of Post Content Panel -->

						<?php if( $nextprev_checkbox ) : ?> <!-- Next/Prev posts option under Theme Options -->
								<div class="panel panel-default panel-body">
										<span class="glyphicon glyphicon-hand-right"></span><h2 class="recentposts"><?php _e('Continue Reading...','takeoff'); ?></h2>
											<div class="row">
											    	<div class="col-sm-6 col-md-6">
											    			<?php 
											    			if ( func_prevPost() ) : ?>
											    					<div class="thumbnail">
																			<?php echo func_prevthumbnail(); ?>
															          				<div class="caption">
																            				<h3><?php previous_post_link('%link'); ?></h3>
																            				<p><?php echo excerpt(25); ?></p>
																            				<a href="<?php echo get_permalink(get_adjacent_post(false,'',true)); ?>"><div class="btn btn-primary" role="button"><?php _e('Read Post', 'takeoff') ?></div></a>
															          				</div>
											          				</div> <!-- End of thumbnail div class -->
											    			<?php endif; ?>
											    	</div>  <!-- End of col-sm-6 col-md-4 div class -->
											    	<div class="col-sm-6 col-md-6" style="float:right;">
											        		<?php 
											        		if ( func_nextPost() ) : ?>
											        				<div class="thumbnail">
																			<?php echo func_nextthumbnail(); ?>
															          				<div class="caption">
																            				<h3><?php next_post_link('%link'); ?></h3>
																				            <p><?php echo excerpt(25); ?></p>
																            				<a href=" <?php echo get_permalink(get_adjacent_post(false,'',false)); ?>"><div class="btn btn-primary" role="button"><?php _e('Read Post', 'takeoff') ?></div></a>
															          				</div>
															        </div> <!-- End of thumbnail div class -->
											        		<?php endif; ?>
											    	</div> <!-- End of col-sm-6 col-md-4 div class -->
											</div>  <!-- End of row div class -->
								</div> <!-- End of panel panel-default panel-body div class of Continue Reading section -->
						<?php endif; ?>

						<?php comments_template(); ?>

		</div> <!-- End of content col-md-9 div class -->

		<div class="col-md-3"> <!-- Start of sidebar co-md-3 div class -->  
			<div class="sidebar">
				<?php if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar() ) : ?>
				<?php endif; ?>
			</div>
		</div> <!-- End of sidebar col-md-3 div class -->
	
	</div> <!-- End of primary row div class -->

<?php get_footer(); ?>